org.apache.ignite.platform.dotnet

## Class PlatformDotNetBinaryTypeConfiguration

- java.lang.Object
- - org.apache.ignite.platform.dotnet.PlatformDotNetBinaryTypeConfiguration

    public class PlatformDotNetBinaryTypeConfiguration
    extends Object

Mirror of .Net class BinaryTypeConfiguration.cs

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetBinaryTypeConfiguration()` Default constructor.
`PlatformDotNetBinaryTypeConfiguration(PlatformDotNetBinaryTypeConfiguration cfg)` Copy constructor.

### Method Summary

Methods
`String` `getAffinityKeyFieldName()`
`String` `getIdMapper()`
`Boolean` `getKeepDeserialized()` Gets keep deserialized flag.
`String` `getNameMapper()`
`String` `getSerializer()`
`String` `getTypeName()`
`boolean` `isEnum()` Gets whether this is enum type.
`Boolean` `isKeepDeserialized()` Deprecated. Use `getKeepDeserialized()` instead.
`void` `setAffinityKeyFieldName(String affinityKeyFieldName)`
`void` `setEnum(boolean isEnum)` Sets whether this is enum type.
`void` `setIdMapper(String idMapper)`
`void` `setKeepDeserialized(Boolean keepDeserialized)` Sets keep deserialized flag.
`void` `setNameMapper(String nameMapper)`
`void` `setSerializer(String serializer)`
`void` `setTypeName(String typeName)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetBinaryTypeConfiguration

    public PlatformDotNetBinaryTypeConfiguration()

Default constructor.

#### PlatformDotNetBinaryTypeConfiguration

    public PlatformDotNetBinaryTypeConfiguration(PlatformDotNetBinaryTypeConfiguration cfg)

Copy constructor.

Parameters:
  `cfg` - configuration to copy.

### Method Detail

#### getTypeName

    public String getTypeName()

Returns:
  Type name.

#### setTypeName

    public void setTypeName(String typeName)

Parameters:
  `typeName` - New type name.

#### getNameMapper

    public String getNameMapper()

Returns:
  Name mapper.

#### setNameMapper

    public void setNameMapper(String nameMapper)

Parameters:
  `nameMapper` - New name mapper.

#### getIdMapper

    public String getIdMapper()

Returns:
  Id mapper.

#### setIdMapper

    public void setIdMapper(String idMapper)

Parameters:
  `idMapper` - New id mapper.

#### getSerializer

    public String getSerializer()

Returns:
  Serializer.

#### setSerializer

    public void setSerializer(String serializer)

Parameters:
  `serializer` - New serializer.

#### getAffinityKeyFieldName

    public String getAffinityKeyFieldName()

Returns:
  Affinity key field name.

#### setAffinityKeyFieldName

    public void setAffinityKeyFieldName(String affinityKeyFieldName)

Parameters:
  `affinityKeyFieldName` - Affinity key field name.

#### isKeepDeserialized

    @Deprecated
    @Nullable
    public Boolean isKeepDeserialized()

Deprecated. Use `getKeepDeserialized()` instead.
Gets keep deserialized flag.

Returns:
  Flag indicates whether to cache deserialized value.

#### getKeepDeserialized

    @Nullable
    public Boolean getKeepDeserialized()

Gets keep deserialized flag. See `setKeepDeserialized(Boolean)` for more information.

Returns:
  Flag indicates whether to cache deserialized value.

#### setKeepDeserialized

    public void setKeepDeserialized(@Nullable
                           Boolean keepDeserialized)

Sets keep deserialized flag.

When set to `null` default value taken from `PlatformDotNetBinaryConfiguration.isDefaultKeepDeserialized()` will be used.

Parameters:
  `keepDeserialized` - Keep deserialized flag.

#### isEnum

    public boolean isEnum()

Gets whether this is enum type.

Returns:
  `True` if enum.

#### setEnum

    public void setEnum(boolean isEnum)

Sets whether this is enum type.

Parameters:
  `isEnum` - `True` if enum.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015